### Method

# Pango.Context.get_gravity

#### Declaration [src]

    PangoGravity
    pango_context_get_gravity (
      PangoContext* context
    )

#### Description [src]

Retrieves the gravity for the context.

This is similar to `pango_context_get_base_gravity()`, except for when the base gravity is `PANGO_GRAVITY_AUTO` for which [type_func@Pango.Gravity.get_for_matrix] is used to return the gravity from the current context matrix.

#### Return value

Returns: `PangoGravity`
the resolved gravity for the context.